# Monat abschließen

`POST https://{tenant}.stamp.eu/rest/payroll/periods/{yearMonth}/close`

## Pfadparameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `yearMonth` | string | ja |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `note` | string \| null | nein |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.year_month` | string | ja |
| `data.status` | string | ja |
| `data.closed_by` | string | ja |
| `data.closed_at` | string | ja |
| `data.reopened_by` | string | ja |
| `data.reopened_at` | string | ja |
| `data.note` | string | ja |
| `warnings` | string[] | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
